> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider Payors

This API is similar to the [Get Payors API](/api-reference/v1payorsresource/get-payors) in that it allows searching
by payor ids supported by clearing houses in addition to your own payor ids. To enter in your own payor ids,
you will have to go to Developer -> Payor Identifiers in the Silna portal.

If you want to just search across a clearing house standard, you can set the `standard` query parameter an
enum value corresponding to a clearing house (for example AVAILITY for Availity).

```shell theme={null}
curl --request GET \
  --url 'https://api.silnahealth.com/public/v1/provider-payors/?standard=AVAILITY&identifier=AETNA' \
  --header 'Authorization: Bearer <token>'
```

If you want to search on the payor ids that you entered in the Silna portal you can use a request like the below:

```shell theme={null}
curl --request GET \
  --url 'https://api.silnahealth.com/public/v1/provider-payors/?standard=PROVIDER_IDENTIFIER&identifier=11111' \
  --header 'Authorization: Bearer <token>'
```

We recommend a strategy like the below if you have a mix of clearing house ids and your own ids.

**1. Narrow Search**

```shell theme={null}
curl --request GET \
  --url 'https://api.silnahealth.com/public/v1/provider-payors?standard=AVAILITY&identifier=1111' \
  --header 'Authorization: Bearer <token>'
```

**2. Narrow Search on own Identifiers**

```shell theme={null}
curl --request GET \
  --url 'https://api.silnahealth.com/public/v1/provider-payors?standard=PROVIDER_IDENTIFIER&identifier=1111' \
  --header 'Authorization: Bearer <token>'
```

**3. Broad Search**

```shell theme={null}
curl --request GET \
  --url 'https://api.silnahealth.com/public/v1/provider-payors?identifier=1111' \
  --header 'Authorization: Bearer <token>'
```


## OpenAPI

````yaml get /public/v1/provider-payors/
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/provider-payors/:
    get:
      tags:
        - V1ProviderPayorsResource
      summary: Get Provider Payors
      operationId: V1ProviderPayorsResource.get
      parameters:
        - in: query
          name: starting_after
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: ending_before
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: integer
        - in: query
          name: identifier
          required: false
          schema:
            type: string
        - in: query
          name: standard
          required: false
          schema:
            $ref: '#/components/schemas/ProviderPayorStandard'
        - in: query
          name: payor_type
          required: false
          schema:
            $ref: '#/components/schemas/InsuranceType'
        - in: query
          name: only_contracted
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeysetPaginatedResponse__V1ProviderPayor'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    ProviderPayorStandard:
      type: string
      enum:
        - AVAILITY
        - WAYSTAR
        - CHANGE_HEALTHCARE
        - OFFICE_ALLY
        - CLAIM_MD
        - STEDI
        - PROVIDER_IDENTIFIER
      x-folder: public_api
    InsuranceType:
      type: string
      enum:
        - COMMERCIAL
        - MEDICARE
        - MEDICAID
        - REGIONAL_CENTER
        - WORKERS_COMPENSATION
        - AUTO_INSURANCE
      x-folder: patient
    KeysetPaginatedResponse__V1ProviderPayor:
      properties:
        has_more:
          title: Has More
          type: boolean
        records:
          items:
            $ref: '#/components/schemas/V1ProviderPayor'
          title: Records
          type: array
        first_id:
          default: null
          title: First Id
          nullable: true
          format: uuid
          type: string
        last_id:
          default: null
          title: Last Id
          nullable: true
          format: uuid
          type: string
      required:
        - has_more
        - records
      title: KeysetPaginatedResponse[V1ProviderPayor]
      type: object
      x-folder: null
    ValidationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    V1ProviderPayor:
      properties:
        id:
          description: The Silna Identifier for the payor
          format: uuid
          title: Id
          type: string
        name:
          description: The name of the payor
          title: Name
          type: string
          example: AETNA
        alternate_identifiers:
          description: >-
            The alternate identifiers and provider supplied identifiers
            associated with the payor
          items:
            $ref: '#/components/schemas/V1ProviderPayorAlternateIdentifier'
          title: Alternate Identifiers
          type: array
        insurance_types:
          description: The insurance types connected to the payor
          items:
            $ref: '#/components/schemas/InsuranceType'
          title: Insurance Types
          type: array
          example:
            - - COMMERCIAL
              - MEDICARE
      required:
        - id
        - name
        - alternate_identifiers
        - insurance_types
      title: V1ProviderPayor
      type: object
      x-folder: public_api
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
    V1ProviderPayorAlternateIdentifier:
      properties:
        identifier:
          description: The alternate/provider supplied identifier
          title: Identifier
          type: string
          example: AETNA_INSC
        standard:
          $ref: '#/components/schemas/ProviderPayorStandard'
          description: The standard of the alternate identifier
          example: PROVIDER_IDENTIFIER
        payor_types:
          description: >-
            The types of insurances that this alternate identifier is associated
            with
          items:
            $ref: '#/components/schemas/InsuranceType'
          title: Payor Types
          type: array
          example:
            - COMMERCIAL
            - MEDICARE
      required:
        - identifier
        - standard
        - payor_types
      title: V1ProviderPayorAlternateIdentifier
      type: object
      x-folder: public_api
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````